Bug 106325 - Android: No way to create a new document not just open an existing one
Summary: Android: No way to create a new document not just open an existing one
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2017-03-04 22:14 UTC by Tomaz Vajngerl
Modified: 2017-05-28 05:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2017-03-04 22:14:58 UTC
Description:
Currently, from the UI it is not possible to create a new / empty document. We assume we always open a existing one. We need to add a UI element in document browser to add a new document for each type of document we support.

Steps to Reproduce:
.

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Johnny_M 2017-03-19 19:58:09 UTC
There seem to be several people currently working on this:

- Mert:   https://gerrit.libreoffice.org/35091
- Gautam: https://gerrit.libreoffice.org/35183

At the same time, there is work being done by Jan, "to replace the current android/ios viewers", in:
- https://gerrit.libreoffice.org/35376
- and other, see: https://gerrit.libreoffice.org/#/q/owner:%22jan+iversen+%253Cjani%2540libreoffice.org%253E%22+ios

Some coordination may be needed.
Comment 2 Tomaz Vajngerl 2017-03-19 21:16:37 UTC
It is common to announce that you're working on a bug in the bug report. I knew that Gautam was working on this and even explained him how to solve this properly. Sorry Mert I didn't remind Gautam to write it here.

As for Jan's solution - it is interesting but I don't think our JS client can compete with native Android that uses OpenGL ES to accelerate the view. I encourage him to continue with the work and think both can coexist.
Comment 3 Gautam Prajapati 2017-03-20 09:25:00 UTC
Sorry, I'll take care next time for announcing the bug I'm working on. The commit is under review right now(https://gerrit.libreoffice.org/#/c/35183/). @Tomaz, please review the commit whenever you get time and suggest changes (if any). Thanks.
Comment 4 Commit Notification 2017-03-30 20:00:45 UTC
brainbreaker committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1503769fe15c122ff2bb8f6f7e7b4ab72656ddc2

tdf#106325 - No way to create a new Document

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 blendergeek 2017-04-19 16:23:23 UTC
Per http://cgit.freedesktop.org/libreoffice/core/commit/?id=1503769fe15c122ff2bb8f6f7e7b4ab72656ddc2 described in Comment 4, this is now resolved. 

Great work, brainbreaker!
Comment 6 krishna [:kr1shna] 2017-05-28 05:14:11 UTC
per comment 5, verified.